<script>
export default {
  name: "ContentPageParagraphText",
  props: {
    content: {
      type: Object,
      default () {
        return {};
      }
    }
  }
};
</script>

<template>
  <div class="ContentPageParagrahText">
    <h2 v-if="content.field_headline">
      {{ content.field_headline }}
    </h2>

    <div v-html="content.field_text" />
  </div>
</template>

<style lang="scss">
@import "../../../scss/_global.scss";

div.ContentPageParagrahText {
  h2 {
    @extend %fontdefinition_headline_2;
  }

  p {
    @extend %fontdefinition_body;
  }

  a {
    @extend %fontdefinition_link;
  }
}
</style>
